#ifdef OSR5
#pragma comment(exestr, "%Z% %M% %I% %E% %Q%")
#endif
/*
 * Copyright (C) 1997 Steve Ginzburg.
 * All rights reserved.
 *
 * This software is provided "as is" without express or implied warranty.
 */


/* What's the highest major dev number? */
/* (This is just a guess.) */
#define NMAJ	255


/* ptr to ioctl-mapping function */
typedef int (*ioctl_fnp)(int fd, int lx_cmd, unsigned long lx_arg,
			int major, int minor);


void	devmap_init(void);		/* in ioctl.c */

void	devmap_invalidate(int fd);
void	devmap_add_ioctl_handler(ioctl_fnp func, int maj);
int	devmap_major(const char *fn);
int	lx_ioctl(int fd, int lx_cmd, unsigned long lx_arg);

