#pragma ident "@(#)a.out.h    1.2     99/02/18 SMI"

#if !defined(LX_A_OUT_H)
#define	LX_A_OUT_H

struct lx_exec
{
	unsigned short	a_magic;	/* a.out magic #	*/
	unsigned char	a_machtype;	/* machine type		*/
	unsigned char	a_flags;	/* flags		*/
	unsigned	a_text;		/* text size		*/
	unsigned	a_data;		/* data size		*/
	unsigned	a_bss;		/* bss size		*/
	unsigned	a_syms;		/* symbol table size	*/
	unsigned	a_entry;	/* start address	*/
	unsigned	a_trsize;	/* text relocation size	*/
	unsigned	a_drsize;	/* data relocation size	*/
};

/*
 * magic numbers
 */
#define	LX_OMAGIC	0407	/* impure executable			*/
#define	LX_NMAGIC	0410	/* pure executable			*/
#define	LX_ZMAGIC	0413	/* demand paged executable		*/
#define	LX_QMAGIC	0314	/* demand paged with header in the text	*/

/*
 * machine type
 */
#define	LX_M_386	100

#endif
