
#ifndef __LX_SCHED_H
#define __LX_SCHED_H

#define LX_SCHED_OTHER	0
#define LX_SCHED_FIFO	1
#define LX_SCHED_RR	2

struct lx_sched_param {
	int sched_priority;
};

#define	LX_CSIGNAL	0x000000ff /* mask for exit sig */
#define	CLONE_VM	0x00000100 /* share memory? */
#define	CLONE_FS	0x00000200 /* share fs info? */
#define CLONE_FILES	0x00000400 /* share file descriptors? */
#define CLONE_SIGHAND	0x00000800 /* share signal handlers? */
#define CLONE_PID	0x00001000 /* share process ID? */

#endif /* __LX_SCHED_H */
