#ifdef OSR5
#pragma comment(exestr, "%Z% %M% %I% %E% %Q%")
#endif

#ifdef SOLARIS
#pragma ident	"%Z% %M% %I% %D% %Q% SMI"
#endif
/*
 * Copyright (C) 1996 Michael Davidson.
 * All rights reserved.
 *
 * This software is provided "as is" without express or implied warranty.
 */

#include	<errno.h>
#include	"lxrun.h"

/*
 * system calls for Linux kernel loadable modules
 */

/*
 *	create_module	(NOT IMPLEMENTED)
 *	init_module	(NOT IMPLEMENTED)
 *	delete_module	(NOT IMPLEMENTED)
 *	get_kernel_sym	(NOT IMPLEMENTED)
 */

int lx_create_module()	{ return enosys("create_module"); }
int lx_init_module()	{ return enosys("init_module"); }
int lx_delete_module()	{ return enosys("delete_module"); }
int lx_get_kernel_syms(){ return enosys("get_kernel_syms"); }
