#ifdef OSR5
#pragma comment(exestr, "%Z% %M% %I% %E% %Q%")
#endif
/*
 * Copyright (C) 1998, 1999 SCO Inc
 * All rights reserved.
 *
 * This software is provided "as is" without express or implied warranty.
 */

#if !defined(LXPROCFS_H)
#define LXPROCFS_H

int lxprocfs_stat(const char *path, struct stat *buf);
int lxprocfs_lstat(const char *path, struct stat *buf);
int lxprocfs_fstat(int fd, struct stat *buf);

int lxprocfs_access(const char *path, int mode);
int lxprocfs_open(const char *path, int flags, int mode);
int lxprocfs_close(int fd);
int lxprocfs_read(int fd, void *buf, int len);
int lxprocfs_readv(int fd, struct iovec *iov, int iovcnt);
int lxprocfs_write(int fd, void *buf, int len);
int lxprocfs_writev(int fd, const struct iovec *iov, int iovcnt);
int lxprocfs_ioctl(int fd, int cmd, unsigned long arg);
int lxprocfs_fcntl(int fd, int cmd, int arg);

#endif
