/
/ Copyright (C) 1996 Michael Davidson.
/ All rights reserved.
/
/ This software is provided "as is" without express or implied warranty.
/
/ ident       "%Z%%M% %I%     %E% SMI"

	.text
/
/ sendsig(handler, sig, context)
/
	.globl	sendsig

FRAME_SIZE	=	128		/ frame size in bytes
CONTEXT_SIZE	=	22		/ context size in dwords


HANDLER		=	8
SIG		=	12
CONTEXT		=	16

	.align	4
sendsig:
	pushl	%ebp
	movl	%esp, %ebp
	pushl	%esi
	pushl	%edi

	subl	$FRAME_SIZE, %esp	/ allocate space for stack frame

	movl	CONTEXT(%ebp), %esi
	movl	%esp, %edi
	movl	$CONTEXT_SIZE, %ecx
	rep
	movsl

	pushl	SIG(%ebp)
	
	call	*HANDLER(%ebp)

	addl	$4, %esp

	movl	%esp, %esi
	movl	CONTEXT(%ebp), %edi
	movl	$CONTEXT_SIZE, %ecx
	rep
	movsl

	addl	$FRAME_SIZE, %esp

	popl	%edi
	popl	%esi
	popl	%ebp
	ret

