#pragma ident "@(#)statfs.h   1.2     99/02/18 SMI"

#if !defined(LX_STATFS_H)
#define	LX_STATFS_H

typedef struct {
	long    val[2];
} lx_fsid_t;

struct lx_statfs {
	long f_type;
	long f_bsize;
	long f_blocks;
	long f_bfree;
	long f_bavail;
	long f_files;
	long f_ffree;
	lx_fsid_t f_fsid;
	long f_namelen;
	long f_spare[6];
};

#define EXT2_OLD_SUPER_MAGIC    0xEF51
#define EXT2_SUPER_MAGIC        0xEF53
#define EXT_SUPER_MAGIC         0x137D
#define ISOFS_SUPER_MAGIC       0x9660
#define MINIX_SUPER_MAGIC       0x137F  /* orig. minix */
#define MINIX_SUPER_MAGIC2      0x138F  /* 30 char minix */
#define NEW_MINIX_SUPER_MAGIC   0x2468  /* minix V2 */
#define MSDOS_SUPER_MAGIC       0x4d44
#define NFS_SUPER_MAGIC         0x6969
#define PROC_SUPER_MAGIC        0x9fa0
#define _XIAFS_SUPER_MAGIC      0x012FD16D

#endif
